Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface Hl7v2Package

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  Hl7v2PackageImpl

    public interface Hl7v2Package

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `Hl7v2Factory`

Nested Class Summary
`static interface` | `Hl7v2Package.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CX` The meta object id for the '`CX`' class.
`static int` | `CX__ASSIGNING_AUTHORITY_NAME` The feature id for the 'Assigning Authority Name' attribute.
`static int` | `CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID` The feature id for the 'Assigning Authority Universal Id' attribute.
`static int` | `CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE` The feature id for the 'Assigning Authority Universal Id Type' attribute.
`static int` | `CX__ID_NUMBER` The feature id for the 'Id Number' attribute.
`static int` | `CX_FEATURE_COUNT` The number of structural features of the 'CX' class.
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__CX` The feature id for the 'Cx' containment reference.
`static int` | `DOCUMENT_ROOT__DTM` The feature id for the 'Dtm' attribute.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__SOURCE_PATIENT_INFO` The feature id for the 'Source Patient Info' containment reference.
`static int` | `DOCUMENT_ROOT__XAD` The feature id for the 'Xad' containment reference.
`static int` | `DOCUMENT_ROOT__XCN` The feature id for the 'Xcn' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XON` The feature id for the 'Xon' containment reference.
`static int` | `DOCUMENT_ROOT__XPN` The feature id for the 'Xpn' containment reference.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT__XTN` The feature id for the 'Xtn' containment reference.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static int` | `DTM` The meta object id for the 'DTM' data type.
`static Hl7v2Package` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `OID` The meta object id for the 'Oid' data type.
`static int` | `SOURCE_PATIENT_INFO_TYPE` The meta object id for the '`Source Patient Info Type`' class.
`static int` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_ADDRESS` The feature id for the 'Patient Address' containment reference.
`static int` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_DATE_OF_BIRTH` The feature id for the 'Patient Date Of Birth' attribute.
`static int` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_IDENTIFIER` The feature id for the 'Patient Identifier' containment reference list.
`static int` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_NAME` The feature id for the 'Patient Name' containment reference list.
`static int` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_BUSINESS` The feature id for the 'Patient Phone Business' containment reference.
`static int` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_HOME` The feature id for the 'Patient Phone Home' containment reference.
`static int` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_SEX` The feature id for the 'Patient Sex' attribute.
`static int` | `SOURCE_PATIENT_INFO_TYPE_FEATURE_COUNT` The number of structural features of the 'Source Patient Info Type' class.
`static int` | `XAD` The meta object id for the '`XAD`' class.
`static int` | `XAD__CITY` The feature id for the 'City' attribute.
`static int` | `XAD__COUNTRY` The feature id for the 'Country' attribute.
`static int` | `XAD__COUNTY_PARISH_CODE` The feature id for the 'County Parish Code' attribute.
`static int` | `XAD__OTHER_DESIGNATION` The feature id for the 'Other Designation' attribute.
`static int` | `XAD__STATE_OR_PROVINCE` The feature id for the 'State Or Province' attribute.
`static int` | `XAD__STREET_ADDRESS` The feature id for the 'Street Address' attribute.
`static int` | `XAD__ZIP_OR_POSTAL_CODE` The feature id for the 'Zip Or Postal Code' attribute.
`static int` | `XAD_FEATURE_COUNT` The number of structural features of the 'XAD' class.
`static int` | `XCN` The meta object id for the '`XCN`' class.
`static int` | `XCN__ASSIGNING_AUTHORITY_NAME` The feature id for the 'Assigning Authority Name' attribute.
`static int` | `XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID` The feature id for the 'Assigning Authority Universal Id' attribute.
`static int` | `XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE` The feature id for the 'Assigning Authority Universal Id Type' attribute.
`static int` | `XCN__FAMILY_NAME` The feature id for the 'Family Name' attribute.
`static int` | `XCN__GIVEN_NAME` The feature id for the 'Given Name' attribute.
`static int` | `XCN__ID_NUMBER` The feature id for the 'Id Number' attribute.
`static int` | `XCN__OTHER_NAME` The feature id for the 'Other Name' attribute.
`static int` | `XCN__PREFIX` The feature id for the 'Prefix' attribute.
`static int` | `XCN__SUFFIX` The feature id for the 'Suffix' attribute.
`static int` | `XCN_FEATURE_COUNT` The number of structural features of the 'XCN' class.
`static int` | `XON` The meta object id for the '`XON`' class.
`static int` | `XON__ASSIGNING_AUTHORITY_NAME` The feature id for the 'Assigning Authority Name' attribute.
`static int` | `XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID` The feature id for the 'Assigning Authority Universal Id' attribute.
`static int` | `XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE` The feature id for the 'Assigning Authority Universal Id Type' attribute.
`static int` | `XON__ID_NUMBER` The feature id for the 'Id Number' attribute.
`static int` | `XON__ORGANIZATION_NAME` The feature id for the 'Organization Name' attribute.
`static int` | `XON_FEATURE_COUNT` The number of structural features of the 'XON' class.
`static int` | `XPN` The meta object id for the '`XPN`' class.
`static int` | `XPN__FAMILY_NAME` The feature id for the 'Family Name' attribute.
`static int` | `XPN__GIVEN_NAME` The feature id for the 'Given Name' attribute.
`static int` | `XPN__OTHER_NAME` The feature id for the 'Other Name' attribute.
`static int` | `XPN__PREFIX` The feature id for the 'Prefix' attribute.
`static int` | `XPN__SUFFIX` The feature id for the 'Suffix' attribute.
`static int` | `XPN_FEATURE_COUNT` The number of structural features of the 'XPN' class.
`static int` | `XTN` The meta object id for the '`XTN`' class.
`static int` | `XTN__UNFORMATTED_TELEPHONE_NUMBER` The feature id for the 'Unformatted Telephone Number' attribute.
`static int` | `XTN_FEATURE_COUNT` The number of structural features of the 'XTN' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getCX_AssigningAuthorityName()` Returns the meta object for the attribute '`Assigning Authority Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getCX_AssigningAuthorityUniversalId()` Returns the meta object for the attribute '`Assigning Authority Universal Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getCX_AssigningAuthorityUniversalIdType()` Returns the meta object for the attribute '`Assigning Authority Universal Id Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getCX_IdNumber()` Returns the meta object for the attribute '`Id Number`'.
`org.eclipse.emf.ecore.EClass` | `getCX()` Returns the meta object for class '`CX`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Cx()` Returns the meta object for the containment reference '`Cx`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Dtm()` Returns the meta object for the attribute '`Dtm`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SourcePatientInfo()` Returns the meta object for the containment reference '`Source Patient Info`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xad()` Returns the meta object for the containment reference '`Xad`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xcn()` Returns the meta object for the containment reference '`Xcn`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xon()` Returns the meta object for the containment reference '`Xon`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xpn()` Returns the meta object for the containment reference '`Xpn`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xtn()` Returns the meta object for the containment reference '`Xtn`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EDataType` | `getDTM()` Returns the meta object for data type '`DTM`'.
`Hl7v2Factory` | `getHl7v2Factory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EDataType` | `getOid()` Returns the meta object for data type '`Oid`'.
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientAddress()` Returns the meta object for the containment reference '`Patient Address`'.
`org.eclipse.emf.ecore.EAttribute` | `getSourcePatientInfoType_PatientDateOfBirth()` Returns the meta object for the attribute '`Patient Date Of Birth`'.
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientIdentifier()` Returns the meta object for the containment reference list '`Patient Identifier`'.
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientName()` Returns the meta object for the containment reference list '`Patient Name`'.
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientPhoneBusiness()` Returns the meta object for the containment reference '`Patient Phone Business`'.
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientPhoneHome()` Returns the meta object for the containment reference '`Patient Phone Home`'.
`org.eclipse.emf.ecore.EAttribute` | `getSourcePatientInfoType_PatientSex()` Returns the meta object for the attribute '`Patient Sex`'.
`org.eclipse.emf.ecore.EClass` | `getSourcePatientInfoType()` Returns the meta object for class '`Source Patient Info Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getXAD_City()` Returns the meta object for the attribute '`City`'.
`org.eclipse.emf.ecore.EAttribute` | `getXAD_Country()` Returns the meta object for the attribute '`Country`'.
`org.eclipse.emf.ecore.EAttribute` | `getXAD_CountyParishCode()` Returns the meta object for the attribute '`County Parish Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getXAD_OtherDesignation()` Returns the meta object for the attribute '`Other Designation`'.
`org.eclipse.emf.ecore.EAttribute` | `getXAD_StateOrProvince()` Returns the meta object for the attribute '`State Or Province`'.
`org.eclipse.emf.ecore.EAttribute` | `getXAD_StreetAddress()` Returns the meta object for the attribute '`Street Address`'.
`org.eclipse.emf.ecore.EAttribute` | `getXAD_ZipOrPostalCode()` Returns the meta object for the attribute '`Zip Or Postal Code`'.
`org.eclipse.emf.ecore.EClass` | `getXAD()` Returns the meta object for class '`XAD`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_AssigningAuthorityName()` Returns the meta object for the attribute '`Assigning Authority Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_AssigningAuthorityUniversalId()` Returns the meta object for the attribute '`Assigning Authority Universal Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_AssigningAuthorityUniversalIdType()` Returns the meta object for the attribute '`Assigning Authority Universal Id Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_FamilyName()` Returns the meta object for the attribute '`Family Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_GivenName()` Returns the meta object for the attribute '`Given Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_IdNumber()` Returns the meta object for the attribute '`Id Number`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_OtherName()` Returns the meta object for the attribute '`Other Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_Prefix()` Returns the meta object for the attribute '`Prefix`'.
`org.eclipse.emf.ecore.EAttribute` | `getXCN_Suffix()` Returns the meta object for the attribute '`Suffix`'.
`org.eclipse.emf.ecore.EClass` | `getXCN()` Returns the meta object for class '`XCN`'.
`org.eclipse.emf.ecore.EAttribute` | `getXON_AssigningAuthorityName()` Returns the meta object for the attribute '`Assigning Authority Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getXON_AssigningAuthorityUniversalId()` Returns the meta object for the attribute '`Assigning Authority Universal Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getXON_AssigningAuthorityUniversalIdType()` Returns the meta object for the attribute '`Assigning Authority Universal Id Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getXON_IdNumber()` Returns the meta object for the attribute '`Id Number`'.
`org.eclipse.emf.ecore.EAttribute` | `getXON_OrganizationName()` Returns the meta object for the attribute '`Organization Name`'.
`org.eclipse.emf.ecore.EClass` | `getXON()` Returns the meta object for class '`XON`'.
`org.eclipse.emf.ecore.EAttribute` | `getXPN_FamilyName()` Returns the meta object for the attribute '`Family Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getXPN_GivenName()` Returns the meta object for the attribute '`Given Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getXPN_OtherName()` Returns the meta object for the attribute '`Other Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getXPN_Prefix()` Returns the meta object for the attribute '`Prefix`'.
`org.eclipse.emf.ecore.EAttribute` | `getXPN_Suffix()` Returns the meta object for the attribute '`Suffix`'.
`org.eclipse.emf.ecore.EClass` | `getXPN()` Returns the meta object for class '`XPN`'.
`org.eclipse.emf.ecore.EAttribute` | `getXTN_UnformattedTelephoneNumber()` Returns the meta object for the attribute '`Unformatted Telephone Number`'.
`org.eclipse.emf.ecore.EClass` | `getXTN()` Returns the meta object for class '`XTN`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final Hl7v2Package eINSTANCE

  The singleton instance of the package.

### CX

    static final int CX

  The meta object id for the '`CX`' class.

  See Also:
    `CXImpl`, `Hl7v2PackageImpl.getCX()`, Constant Field Values

### CX__ID_NUMBER

    static final int CX__ID_NUMBER

  The feature id for the 'Id Number' attribute.

  See Also:
    Constant Field Values

### CX__ASSIGNING_AUTHORITY_NAME

    static final int CX__ASSIGNING_AUTHORITY_NAME

  The feature id for the 'Assigning Authority Name' attribute.

  See Also:
    Constant Field Values

### CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID

    static final int CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID

  The feature id for the 'Assigning Authority Universal Id' attribute.

  See Also:
    Constant Field Values

### CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

    static final int CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

  The feature id for the 'Assigning Authority Universal Id Type' attribute.

  See Also:
    Constant Field Values

### CX_FEATURE_COUNT

    static final int CX_FEATURE_COUNT

  The number of structural features of the 'CX' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `Hl7v2PackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CX

    static final int DOCUMENT_ROOT__CX

  The feature id for the 'Cx' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__DTM

    static final int DOCUMENT_ROOT__DTM

  The feature id for the 'Dtm' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SOURCE_PATIENT_INFO

    static final int DOCUMENT_ROOT__SOURCE_PATIENT_INFO

  The feature id for the 'Source Patient Info' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XAD

    static final int DOCUMENT_ROOT__XAD

  The feature id for the 'Xad' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XCN

    static final int DOCUMENT_ROOT__XCN

  The feature id for the 'Xcn' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XON

    static final int DOCUMENT_ROOT__XON

  The feature id for the 'Xon' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XPN

    static final int DOCUMENT_ROOT__XPN

  The feature id for the 'Xpn' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XTN

    static final int DOCUMENT_ROOT__XTN

  The feature id for the 'Xtn' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO_TYPE

    static final int SOURCE_PATIENT_INFO_TYPE

  The meta object id for the '`Source Patient Info Type`' class.

  See Also:
    `SourcePatientInfoTypeImpl`, `Hl7v2PackageImpl.getSourcePatientInfoType()`, Constant Field Values

### SOURCE_PATIENT_INFO_TYPE__PATIENT_IDENTIFIER

    static final int SOURCE_PATIENT_INFO_TYPE__PATIENT_IDENTIFIER

  The feature id for the 'Patient Identifier' containment reference list.

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO_TYPE__PATIENT_NAME

    static final int SOURCE_PATIENT_INFO_TYPE__PATIENT_NAME

  The feature id for the 'Patient Name' containment reference list.

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO_TYPE__PATIENT_DATE_OF_BIRTH

    static final int SOURCE_PATIENT_INFO_TYPE__PATIENT_DATE_OF_BIRTH

  The feature id for the 'Patient Date Of Birth' attribute.

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO_TYPE__PATIENT_SEX

    static final int SOURCE_PATIENT_INFO_TYPE__PATIENT_SEX

  The feature id for the 'Patient Sex' attribute.

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO_TYPE__PATIENT_ADDRESS

    static final int SOURCE_PATIENT_INFO_TYPE__PATIENT_ADDRESS

  The feature id for the 'Patient Address' containment reference.

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_HOME

    static final int SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_HOME

  The feature id for the 'Patient Phone Home' containment reference.

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_BUSINESS

    static final int SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_BUSINESS

  The feature id for the 'Patient Phone Business' containment reference.

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO_TYPE_FEATURE_COUNT

    static final int SOURCE_PATIENT_INFO_TYPE_FEATURE_COUNT

  The number of structural features of the 'Source Patient Info Type' class.

  See Also:
    Constant Field Values

### XAD

    static final int XAD

  The meta object id for the '`XAD`' class.

  See Also:
    `XADImpl`, `Hl7v2PackageImpl.getXAD()`, Constant Field Values

### XAD__STREET_ADDRESS

    static final int XAD__STREET_ADDRESS

  The feature id for the 'Street Address' attribute.

  See Also:
    Constant Field Values

### XAD__OTHER_DESIGNATION

    static final int XAD__OTHER_DESIGNATION

  The feature id for the 'Other Designation' attribute.

  See Also:
    Constant Field Values

### XAD__CITY

    static final int XAD__CITY

  The feature id for the 'City' attribute.

  See Also:
    Constant Field Values

### XAD__STATE_OR_PROVINCE

    static final int XAD__STATE_OR_PROVINCE

  The feature id for the 'State Or Province' attribute.

  See Also:
    Constant Field Values

### XAD__ZIP_OR_POSTAL_CODE

    static final int XAD__ZIP_OR_POSTAL_CODE

  The feature id for the 'Zip Or Postal Code' attribute.

  See Also:
    Constant Field Values

### XAD__COUNTRY

    static final int XAD__COUNTRY

  The feature id for the 'Country' attribute.

  See Also:
    Constant Field Values

### XAD__COUNTY_PARISH_CODE

    static final int XAD__COUNTY_PARISH_CODE

  The feature id for the 'County Parish Code' attribute.

  See Also:
    Constant Field Values

### XAD_FEATURE_COUNT

    static final int XAD_FEATURE_COUNT

  The number of structural features of the 'XAD' class.

  See Also:
    Constant Field Values

### XCN

    static final int XCN

  The meta object id for the '`XCN`' class.

  See Also:
    `XCNImpl`, `Hl7v2PackageImpl.getXCN()`, Constant Field Values

### XCN__ID_NUMBER

    static final int XCN__ID_NUMBER

  The feature id for the 'Id Number' attribute.

  See Also:
    Constant Field Values

### XCN__FAMILY_NAME

    static final int XCN__FAMILY_NAME

  The feature id for the 'Family Name' attribute.

  See Also:
    Constant Field Values

### XCN__GIVEN_NAME

    static final int XCN__GIVEN_NAME

  The feature id for the 'Given Name' attribute.

  See Also:
    Constant Field Values

### XCN__OTHER_NAME

    static final int XCN__OTHER_NAME

  The feature id for the 'Other Name' attribute.

  See Also:
    Constant Field Values

### XCN__SUFFIX

    static final int XCN__SUFFIX

  The feature id for the 'Suffix' attribute.

  See Also:
    Constant Field Values

### XCN__PREFIX

    static final int XCN__PREFIX

  The feature id for the 'Prefix' attribute.

  See Also:
    Constant Field Values

### XCN__ASSIGNING_AUTHORITY_NAME

    static final int XCN__ASSIGNING_AUTHORITY_NAME

  The feature id for the 'Assigning Authority Name' attribute.

  See Also:
    Constant Field Values

### XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID

    static final int XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID

  The feature id for the 'Assigning Authority Universal Id' attribute.

  See Also:
    Constant Field Values

### XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

    static final int XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

  The feature id for the 'Assigning Authority Universal Id Type' attribute.

  See Also:
    Constant Field Values

### XCN_FEATURE_COUNT

    static final int XCN_FEATURE_COUNT

  The number of structural features of the 'XCN' class.

  See Also:
    Constant Field Values

### XON

    static final int XON

  The meta object id for the '`XON`' class.

  See Also:
    `XONImpl`, `Hl7v2PackageImpl.getXON()`, Constant Field Values

### XON__ORGANIZATION_NAME

    static final int XON__ORGANIZATION_NAME

  The feature id for the 'Organization Name' attribute.

  See Also:
    Constant Field Values

### XON__ID_NUMBER

    static final int XON__ID_NUMBER

  The feature id for the 'Id Number' attribute.

  See Also:
    Constant Field Values

### XON__ASSIGNING_AUTHORITY_NAME

    static final int XON__ASSIGNING_AUTHORITY_NAME

  The feature id for the 'Assigning Authority Name' attribute.

  See Also:
    Constant Field Values

### XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID

    static final int XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID

  The feature id for the 'Assigning Authority Universal Id' attribute.

  See Also:
    Constant Field Values

### XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

    static final int XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

  The feature id for the 'Assigning Authority Universal Id Type' attribute.

  See Also:
    Constant Field Values

### XON_FEATURE_COUNT

    static final int XON_FEATURE_COUNT

  The number of structural features of the 'XON' class.

  See Also:
    Constant Field Values

### XPN

    static final int XPN

  The meta object id for the '`XPN`' class.

  See Also:
    `XPNImpl`, `Hl7v2PackageImpl.getXPN()`, Constant Field Values

### XPN__FAMILY_NAME

    static final int XPN__FAMILY_NAME

  The feature id for the 'Family Name' attribute.

  See Also:
    Constant Field Values

### XPN__GIVEN_NAME

    static final int XPN__GIVEN_NAME

  The feature id for the 'Given Name' attribute.

  See Also:
    Constant Field Values

### XPN__OTHER_NAME

    static final int XPN__OTHER_NAME

  The feature id for the 'Other Name' attribute.

  See Also:
    Constant Field Values

### XPN__SUFFIX

    static final int XPN__SUFFIX

  The feature id for the 'Suffix' attribute.

  See Also:
    Constant Field Values

### XPN__PREFIX

    static final int XPN__PREFIX

  The feature id for the 'Prefix' attribute.

  See Also:
    Constant Field Values

### XPN_FEATURE_COUNT

    static final int XPN_FEATURE_COUNT

  The number of structural features of the 'XPN' class.

  See Also:
    Constant Field Values

### XTN

    static final int XTN

  The meta object id for the '`XTN`' class.

  See Also:
    `XTNImpl`, `Hl7v2PackageImpl.getXTN()`, Constant Field Values

### XTN__UNFORMATTED_TELEPHONE_NUMBER

    static final int XTN__UNFORMATTED_TELEPHONE_NUMBER

  The feature id for the 'Unformatted Telephone Number' attribute.

  See Also:
    Constant Field Values

### XTN_FEATURE_COUNT

    static final int XTN_FEATURE_COUNT

  The number of structural features of the 'XTN' class.

  See Also:
    Constant Field Values

### DTM

    static final int DTM

  The meta object id for the 'DTM' data type.

  See Also:
    `String`, `Hl7v2PackageImpl.getDTM()`, Constant Field Values

### OID

    static final int OID

  The meta object id for the 'Oid' data type.

  See Also:
    `String`, `Hl7v2PackageImpl.getOid()`, Constant Field Values

Method Detail

### getCX

    org.eclipse.emf.ecore.EClass getCX()

  Returns the meta object for class '`CX`'.

  Returns:
    the meta object for class 'CX'.
  See Also:
    `CX`

### getCX_IdNumber

    org.eclipse.emf.ecore.EAttribute getCX_IdNumber()

  Returns the meta object for the attribute '`Id Number`'.

  Returns:
    the meta object for the attribute 'Id Number'.
  See Also:
    `CX.getIdNumber()`, `getCX()`

### getCX_AssigningAuthorityName

    org.eclipse.emf.ecore.EAttribute getCX_AssigningAuthorityName()

  Returns the meta object for the attribute '`Assigning Authority Name`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Name'.
  See Also:
    `CX.getAssigningAuthorityName()`, `getCX()`

### getCX_AssigningAuthorityUniversalId

    org.eclipse.emf.ecore.EAttribute getCX_AssigningAuthorityUniversalId()

  Returns the meta object for the attribute '`Assigning Authority Universal Id`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id'.
  See Also:
    `CX.getAssigningAuthorityUniversalId()`, `getCX()`

### getCX_AssigningAuthorityUniversalIdType

    org.eclipse.emf.ecore.EAttribute getCX_AssigningAuthorityUniversalIdType()

  Returns the meta object for the attribute '`Assigning Authority Universal Id Type`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id Type'.
  See Also:
    `CX.getAssigningAuthorityUniversalIdType()`, `getCX()`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_Cx

    org.eclipse.emf.ecore.EReference getDocumentRoot_Cx()

  Returns the meta object for the containment reference '`Cx`'.

  Returns:
    the meta object for the containment reference 'Cx'.
  See Also:
    `DocumentRoot.getCx()`, `getDocumentRoot()`

### getDocumentRoot_Dtm

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Dtm()

  Returns the meta object for the attribute '`Dtm`'.

  Returns:
    the meta object for the attribute 'Dtm'.
  See Also:
    `DocumentRoot.getDtm()`, `getDocumentRoot()`

### getDocumentRoot_SourcePatientInfo

    org.eclipse.emf.ecore.EReference getDocumentRoot_SourcePatientInfo()

  Returns the meta object for the containment reference '`Source Patient Info`'.

  Returns:
    the meta object for the containment reference 'Source Patient Info'.
  See Also:
    `DocumentRoot.getSourcePatientInfo()`, `getDocumentRoot()`

### getDocumentRoot_Xad

    org.eclipse.emf.ecore.EReference getDocumentRoot_Xad()

  Returns the meta object for the containment reference '`Xad`'.

  Returns:
    the meta object for the containment reference 'Xad'.
  See Also:
    `DocumentRoot.getXad()`, `getDocumentRoot()`

### getDocumentRoot_Xcn

    org.eclipse.emf.ecore.EReference getDocumentRoot_Xcn()

  Returns the meta object for the containment reference '`Xcn`'.

  Returns:
    the meta object for the containment reference 'Xcn'.
  See Also:
    `DocumentRoot.getXcn()`, `getDocumentRoot()`

### getDocumentRoot_Xon

    org.eclipse.emf.ecore.EReference getDocumentRoot_Xon()

  Returns the meta object for the containment reference '`Xon`'.

  Returns:
    the meta object for the containment reference 'Xon'.
  See Also:
    `DocumentRoot.getXon()`, `getDocumentRoot()`

### getDocumentRoot_Xpn

    org.eclipse.emf.ecore.EReference getDocumentRoot_Xpn()

  Returns the meta object for the containment reference '`Xpn`'.

  Returns:
    the meta object for the containment reference 'Xpn'.
  See Also:
    `DocumentRoot.getXpn()`, `getDocumentRoot()`

### getDocumentRoot_Xtn

    org.eclipse.emf.ecore.EReference getDocumentRoot_Xtn()

  Returns the meta object for the containment reference '`Xtn`'.

  Returns:
    the meta object for the containment reference 'Xtn'.
  See Also:
    `DocumentRoot.getXtn()`, `getDocumentRoot()`

### getSourcePatientInfoType

    org.eclipse.emf.ecore.EClass getSourcePatientInfoType()

  Returns the meta object for class '`Source Patient Info Type`'.

  Returns:
    the meta object for class 'Source Patient Info Type'.
  See Also:
    `SourcePatientInfoType`

### getSourcePatientInfoType_PatientIdentifier

    org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientIdentifier()

  Returns the meta object for the containment reference list '`Patient Identifier`'.

  Returns:
    the meta object for the containment reference list 'Patient Identifier'.
  See Also:
    `SourcePatientInfoType.getPatientIdentifier()`, `getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientName

    org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientName()

  Returns the meta object for the containment reference list '`Patient Name`'.

  Returns:
    the meta object for the containment reference list 'Patient Name'.
  See Also:
    `SourcePatientInfoType.getPatientName()`, `getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientDateOfBirth

    org.eclipse.emf.ecore.EAttribute getSourcePatientInfoType_PatientDateOfBirth()

  Returns the meta object for the attribute '`Patient Date Of Birth`'.

  Returns:
    the meta object for the attribute 'Patient Date Of Birth'.
  See Also:
    `SourcePatientInfoType.getPatientDateOfBirth()`, `getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientSex

    org.eclipse.emf.ecore.EAttribute getSourcePatientInfoType_PatientSex()

  Returns the meta object for the attribute '`Patient Sex`'.

  Returns:
    the meta object for the attribute 'Patient Sex'.
  See Also:
    `SourcePatientInfoType.getPatientSex()`, `getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientAddress

    org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientAddress()

  Returns the meta object for the containment reference '`Patient Address`'.

  Returns:
    the meta object for the containment reference 'Patient Address'.
  See Also:
    `SourcePatientInfoType.getPatientAddress()`, `getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientPhoneHome

    org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientPhoneHome()

  Returns the meta object for the containment reference '`Patient Phone Home`'.

  Returns:
    the meta object for the containment reference 'Patient Phone Home'.
  See Also:
    `SourcePatientInfoType.getPatientPhoneHome()`, `getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientPhoneBusiness

    org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientPhoneBusiness()

  Returns the meta object for the containment reference '`Patient Phone Business`'.

  Returns:
    the meta object for the containment reference 'Patient Phone Business'.
  See Also:
    `SourcePatientInfoType.getPatientPhoneBusiness()`, `getSourcePatientInfoType()`

### getXAD

    org.eclipse.emf.ecore.EClass getXAD()

  Returns the meta object for class '`XAD`'.

  Returns:
    the meta object for class 'XAD'.
  See Also:
    `XAD`

### getXAD_StreetAddress

    org.eclipse.emf.ecore.EAttribute getXAD_StreetAddress()

  Returns the meta object for the attribute '`Street Address`'.

  Returns:
    the meta object for the attribute 'Street Address'.
  See Also:
    `XAD.getStreetAddress()`, `getXAD()`

### getXAD_OtherDesignation

    org.eclipse.emf.ecore.EAttribute getXAD_OtherDesignation()

  Returns the meta object for the attribute '`Other Designation`'.

  Returns:
    the meta object for the attribute 'Other Designation'.
  See Also:
    `XAD.getOtherDesignation()`, `getXAD()`

### getXAD_City

    org.eclipse.emf.ecore.EAttribute getXAD_City()

  Returns the meta object for the attribute '`City`'.

  Returns:
    the meta object for the attribute 'City'.
  See Also:
    `XAD.getCity()`, `getXAD()`

### getXAD_StateOrProvince

    org.eclipse.emf.ecore.EAttribute getXAD_StateOrProvince()

  Returns the meta object for the attribute '`State Or Province`'.

  Returns:
    the meta object for the attribute 'State Or Province'.
  See Also:
    `XAD.getStateOrProvince()`, `getXAD()`

### getXAD_ZipOrPostalCode

    org.eclipse.emf.ecore.EAttribute getXAD_ZipOrPostalCode()

  Returns the meta object for the attribute '`Zip Or Postal Code`'.

  Returns:
    the meta object for the attribute 'Zip Or Postal Code'.
  See Also:
    `XAD.getZipOrPostalCode()`, `getXAD()`

### getXAD_Country

    org.eclipse.emf.ecore.EAttribute getXAD_Country()

  Returns the meta object for the attribute '`Country`'.

  Returns:
    the meta object for the attribute 'Country'.
  See Also:
    `XAD.getCountry()`, `getXAD()`

### getXAD_CountyParishCode

    org.eclipse.emf.ecore.EAttribute getXAD_CountyParishCode()

  Returns the meta object for the attribute '`County Parish Code`'.

  Returns:
    the meta object for the attribute 'County Parish Code'.
  See Also:
    `XAD.getCountyParishCode()`, `getXAD()`

### getXCN

    org.eclipse.emf.ecore.EClass getXCN()

  Returns the meta object for class '`XCN`'.

  Returns:
    the meta object for class 'XCN'.
  See Also:
    `XCN`

### getXCN_IdNumber

    org.eclipse.emf.ecore.EAttribute getXCN_IdNumber()

  Returns the meta object for the attribute '`Id Number`'.

  Returns:
    the meta object for the attribute 'Id Number'.
  See Also:
    `XCN.getIdNumber()`, `getXCN()`

### getXCN_FamilyName

    org.eclipse.emf.ecore.EAttribute getXCN_FamilyName()

  Returns the meta object for the attribute '`Family Name`'.

  Returns:
    the meta object for the attribute 'Family Name'.
  See Also:
    `XCN.getFamilyName()`, `getXCN()`

### getXCN_GivenName

    org.eclipse.emf.ecore.EAttribute getXCN_GivenName()

  Returns the meta object for the attribute '`Given Name`'.

  Returns:
    the meta object for the attribute 'Given Name'.
  See Also:
    `XCN.getGivenName()`, `getXCN()`

### getXCN_OtherName

    org.eclipse.emf.ecore.EAttribute getXCN_OtherName()

  Returns the meta object for the attribute '`Other Name`'.

  Returns:
    the meta object for the attribute 'Other Name'.
  See Also:
    `XCN.getOtherName()`, `getXCN()`

### getXCN_Suffix

    org.eclipse.emf.ecore.EAttribute getXCN_Suffix()

  Returns the meta object for the attribute '`Suffix`'.

  Returns:
    the meta object for the attribute 'Suffix'.
  See Also:
    `XCN.getSuffix()`, `getXCN()`

### getXCN_Prefix

    org.eclipse.emf.ecore.EAttribute getXCN_Prefix()

  Returns the meta object for the attribute '`Prefix`'.

  Returns:
    the meta object for the attribute 'Prefix'.
  See Also:
    `XCN.getPrefix()`, `getXCN()`

### getXCN_AssigningAuthorityName

    org.eclipse.emf.ecore.EAttribute getXCN_AssigningAuthorityName()

  Returns the meta object for the attribute '`Assigning Authority Name`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Name'.
  See Also:
    `XCN.getAssigningAuthorityName()`, `getXCN()`

### getXCN_AssigningAuthorityUniversalId

    org.eclipse.emf.ecore.EAttribute getXCN_AssigningAuthorityUniversalId()

  Returns the meta object for the attribute '`Assigning Authority Universal Id`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id'.
  See Also:
    `XCN.getAssigningAuthorityUniversalId()`, `getXCN()`

### getXCN_AssigningAuthorityUniversalIdType

    org.eclipse.emf.ecore.EAttribute getXCN_AssigningAuthorityUniversalIdType()

  Returns the meta object for the attribute '`Assigning Authority Universal Id Type`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id Type'.
  See Also:
    `XCN.getAssigningAuthorityUniversalIdType()`, `getXCN()`

### getXON

    org.eclipse.emf.ecore.EClass getXON()

  Returns the meta object for class '`XON`'.

  Returns:
    the meta object for class 'XON'.
  See Also:
    `XON`

### getXON_OrganizationName

    org.eclipse.emf.ecore.EAttribute getXON_OrganizationName()

  Returns the meta object for the attribute '`Organization Name`'.

  Returns:
    the meta object for the attribute 'Organization Name'.
  See Also:
    `XON.getOrganizationName()`, `getXON()`

### getXON_IdNumber

    org.eclipse.emf.ecore.EAttribute getXON_IdNumber()

  Returns the meta object for the attribute '`Id Number`'.

  Returns:
    the meta object for the attribute 'Id Number'.
  See Also:
    `XON.getIdNumber()`, `getXON()`

### getXON_AssigningAuthorityName

    org.eclipse.emf.ecore.EAttribute getXON_AssigningAuthorityName()

  Returns the meta object for the attribute '`Assigning Authority Name`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Name'.
  See Also:
    `XON.getAssigningAuthorityName()`, `getXON()`

### getXON_AssigningAuthorityUniversalId

    org.eclipse.emf.ecore.EAttribute getXON_AssigningAuthorityUniversalId()

  Returns the meta object for the attribute '`Assigning Authority Universal Id`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id'.
  See Also:
    `XON.getAssigningAuthorityUniversalId()`, `getXON()`

### getXON_AssigningAuthorityUniversalIdType

    org.eclipse.emf.ecore.EAttribute getXON_AssigningAuthorityUniversalIdType()

  Returns the meta object for the attribute '`Assigning Authority Universal Id Type`'.

  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id Type'.
  See Also:
    `XON.getAssigningAuthorityUniversalIdType()`, `getXON()`

### getXPN

    org.eclipse.emf.ecore.EClass getXPN()

  Returns the meta object for class '`XPN`'.

  Returns:
    the meta object for class 'XPN'.
  See Also:
    `XPN`

### getXPN_FamilyName

    org.eclipse.emf.ecore.EAttribute getXPN_FamilyName()

  Returns the meta object for the attribute '`Family Name`'.

  Returns:
    the meta object for the attribute 'Family Name'.
  See Also:
    `XPN.getFamilyName()`, `getXPN()`

### getXPN_GivenName

    org.eclipse.emf.ecore.EAttribute getXPN_GivenName()

  Returns the meta object for the attribute '`Given Name`'.

  Returns:
    the meta object for the attribute 'Given Name'.
  See Also:
    `XPN.getGivenName()`, `getXPN()`

### getXPN_OtherName

    org.eclipse.emf.ecore.EAttribute getXPN_OtherName()

  Returns the meta object for the attribute '`Other Name`'.

  Returns:
    the meta object for the attribute 'Other Name'.
  See Also:
    `XPN.getOtherName()`, `getXPN()`

### getXPN_Suffix

    org.eclipse.emf.ecore.EAttribute getXPN_Suffix()

  Returns the meta object for the attribute '`Suffix`'.

  Returns:
    the meta object for the attribute 'Suffix'.
  See Also:
    `XPN.getSuffix()`, `getXPN()`

### getXPN_Prefix

    org.eclipse.emf.ecore.EAttribute getXPN_Prefix()

  Returns the meta object for the attribute '`Prefix`'.

  Returns:
    the meta object for the attribute 'Prefix'.
  See Also:
    `XPN.getPrefix()`, `getXPN()`

### getXTN

    org.eclipse.emf.ecore.EClass getXTN()

  Returns the meta object for class '`XTN`'.

  Returns:
    the meta object for class 'XTN'.
  See Also:
    `XTN`

### getXTN_UnformattedTelephoneNumber

    org.eclipse.emf.ecore.EAttribute getXTN_UnformattedTelephoneNumber()

  Returns the meta object for the attribute '`Unformatted Telephone Number`'.

  Returns:
    the meta object for the attribute 'Unformatted Telephone Number'.
  See Also:
    `XTN.getUnformattedTelephoneNumber()`, `getXTN()`

### getDTM

    org.eclipse.emf.ecore.EDataType getDTM()

  Returns the meta object for data type '`DTM`'.

  Returns:
    the meta object for data type 'DTM'.
  See Also:
    `String`

### getOid

    org.eclipse.emf.ecore.EDataType getOid()

  Returns the meta object for data type '`Oid`'.

  Returns:
    the meta object for data type 'Oid'.
  See Also:
    `String`

### getHl7v2Factory

    Hl7v2Factory getHl7v2Factory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD